Subject: Re: Using ioctl from with the kernel ???

From: Steven Scholz <[email-masked]>
Date: Tue, 12 Nov 2002 16:11:05 +0100

Hi Stephan,

> Your right IOCTL is not applicable for this. You can simply call the driver
> functions directly. If these functions are called different from different
> context(s) (like your driver and the IOCTL function) you have to add some
> protection mechanism. (The code is not reentrant right?) You may try
> spin_lock() for this job (linux/spinlock.h). If you are calling the
> functions from interrupt contect too some extra protection is required...

Thanks for your reply.

But how could I call the ioctl handler of the driver?
I would need some (dummy) inode...

Steven

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/